{% extends "siswa/userbase.html.twig" %}
{% import "macros/form.html.twig" as f %}

{% block body %}

    {% block moreCss %}
    {% endblock %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Pendaftaran Tryout
        {% endblock %}



    {% endembed %}

    <section class="container-fluid mt-3">

        <p class="b-primaryLight p-2 f08" style="border-left: 4px solid var(--primaryColor)">
            Daftar Tryout bareng temen kamu bisa dapet banyak diskon loh
            <br>
            <br>
            <span id="pricing">
            <span id="price1"></span><br>
        </span>
            <br>
            <span>{{ data.reward ? 'Dan dapatkan gratis ' ~ data.reward.freeAccess ~ ' kali akses dengan mengajak ' ~ data.reward.minRegistrant ~ ' teman kamu.' }}</span>
        </p>

        <div class="d-flex align-items-center  mb-2">
            <p class="mb-0 font-weight-bold">Detail Tryout</p>
        </div>

        <div class="div-color text-left" style="background-color: #eee; border: 1px solid #aaa">
            <p class="mb-2 font-weight-bold f08">{{ data.title }}</p>
            <p class="mb-0  f08">Jenjang : {{ data.level.name }}</p>
            <p class="mb-0  f08"> {{ data.startDay|date("d M Y") }} - {{ data.finalDay|date("d M Y") }}</p>
        </div>

        <p class="mb-2 font-weight-bold mt-4">Detail Tryout</p>
        <div class="d-flex justify-content-between">
            <p class="mb-0 font-weight-bold f08">Berapa orang yang mau daftar?</p>
            <div class="d-flex align-items-center">
                <a onclick="kurang()"><i class="mdi mdi-do-not-disturb-on f14" style="color: grey"></i></a>
                <p class="mb-0" style="padding: 0 1em"><span id="jumlah"></span></p>
                <a onclick="tambah()"><i class="mdi mdi-add-circle f14" style="color: var(--primaryColor)"></i></a>
            </div>
        </div>
    </section>

    <div class="fixed-bottom p-2 bg-white container-fluid">
        <hr>
        <div class="d-flex justify-content-between align-items-center">
            <p class="mb-0 font-weight-bold ">Total</p>
            <p id="totalAmount" class="mb-0 font-weight-bold t-primary">Total</p>
        </div>

        <form method="POST" action="{{ path('pembayaranTryout') }}">
            <input value="{{ data.id }}" name="tryOutProduct" class="d-none"/>
            <input value="1" name="totalProduct" class="d-none"/>
            <input value="{{ data.price }}" name="amountProduct" class="d-none"/>
            <input  name="digits" class="d-none"/>
            <button id="submitButton" type="submit" class="bt-accent m-1 f10 d-block w-100 mt-2">
                Lanjut Ke Pembayaran
            </button>
        </form>

    </div>

    <div class="space-25h"></div>
{% endblock %}

    {% block JSMore %}
        <script src="{{ asset('js/formatter.js') }}"></script>
        <script src="{{ asset('js/wkwkwk.js') }}"></script>
        <script>
            $(document).ready(function () {
                {% for label, messages in app.session.flashbag.all %}
                {% for pesan in messages %}
                    genAlert("{{ label }}", "{{ pesan }}");
                {% endfor %}
                {% endfor %}
            });
        </script>

        <script>
            (function () {
                $("#price1").html("1 Siswa : " + currency({{ data.price }}) + "/siswa");

                {% for key,pricing in data.pricing %}
                $("#pricing").append('<span id="price1">{{ pricing.min }} {{ pricing.max > 0 ? '- ' ~ pricing.max ~ ' Siswa' : ' Siswa lebih' }}  : ' + currency({{ pricing.price }}) + '/siswa</span><br>');
                {% endfor %}
            })();
        </script>

        <script>
            $(document).ready(function () {
                $("#jumlah").html(siswa)
            });

            var siswa = 1;
            var getPriceURl = '{{ path("pendaftaranTryoutApiAmount", {cat : data.id, number: 'null'}) }}';

            function kurang() {
                if (siswa > 1) {
                    $("#submitButton").attr("disabled", "disabled");
                    siswa = siswa - 1;
                    var ngetPriceURl = getPriceURl.replace("null", siswa);
                    ajaxCall("fetchDataAmount", ngetPriceURl, "GET", false);

                    $("#jumlah").html(siswa)
                    $("[name='totalProduct']").val(siswa)
                }
            }

            function tambah() {

                if (siswa < 100) {
                    $("#submitButton").attr("disabled", "disabled");
                    siswa = siswa + 1;
                    let ngetPriceURl = getPriceURl;
                    ngetPriceURl = ngetPriceURl.replace("null", siswa);
                    ajaxCall("fetchDataAmount", ngetPriceURl, "GET", false);
                    $("#jumlah").html(siswa)
                    $("[name='totalProduct']").val(siswa)
                }
            }

            function fetchDataAmount(data) {
                console.log(data);
                if (data['price'] !=null) {
                    $("#totalAmount").html( currency(data['price']) );
                    $("[name='amountProduct']").val(data['price']);
                    $("[name='digits']").val(data['digits']);
                    $("#submitButton").removeAttr("disabled");

                }
            }
        </script>

        {{ f.ajaxCall("fetchDataAmount", path("pendaftaranTryoutApiAmount", {cat : data.id, number: 1}), "GET") }}

    {% endblock %}